Bug 23952 - Fix body id on OPAC course details page
Summary: Fix body id on OPAC course details page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-02 15:24 UTC by Katrin Fischer
Modified: 2019-12-12 00:10 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23952: Fix body tag on OPAC course details page (1.26 KB, patch)
2019-11-02 15:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23952: Fix body tag on OPAC course details page (1.40 KB, patch)
2019-11-04 10:36 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23952: Fix body tag on OPAC course details page (1.48 KB, patch)
2019-11-07 11:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-11-02 15:24:35 UTC
The id for the OPAC course details page is 'opac-main', but it should have a specific one.
Comment 1 Katrin Fischer 2019-11-02 15:28:45 UTC
Created attachment 94969 [details] [review]
Bug 23952: Fix body tag on OPAC course details page

The id was not changed, when the page was added and
remained opac-main. The patch changes it to
opac-course-details so the page has its own unique id.

To test:
- Add a course reserve to your installation
- Go to the course reserves page in the OPAC
- Click on the course to see its details
- Look at the source code, the <body> tag should show:
  Without patch: opac-main
  with patch applied: opac-course-details
Comment 2 Séverine Queune 2019-11-04 10:36:57 UTC
Created attachment 94994 [details] [review]
Bug 23952: Fix body tag on OPAC course details page

The id was not changed, when the page was added and
remained opac-main. The patch changes it to
opac-course-details so the page has its own unique id.

To test:
- Add a course reserve to your installation
- Go to the course reserves page in the OPAC
- Click on the course to see its details
- Look at the source code, the <body> tag should show:
  Without patch: opac-main
  with patch applied: opac-course-details

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Jonathan Druart 2019-11-07 11:18:17 UTC
Created attachment 95141 [details] [review]
Bug 23952: Fix body tag on OPAC course details page

The id was not changed, when the page was added and
remained opac-main. The patch changes it to
opac-course-details so the page has its own unique id.

To test:
- Add a course reserve to your installation
- Go to the course reserves page in the OPAC
- Click on the course to see its details
- Look at the source code, the <body> tag should show:
  Without patch: opac-main
  with patch applied: opac-course-details

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-11-07 13:27:32 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Lucas Gass 2019-12-12 00:10:28 UTC
backported to 19.05.x for 19.05.06